mod ctx;
mod handler;

use rocket;

use ctx::Ctx;

#[rocket::launch]
fn launch() -> _ {
  let ctx = Ctx {
    db: Box::new(ctx::db::Null {}),
  };
  rocket::build().
      manage(ctx).
      mount("/.well-known/webfinger", rocket::routes![handler::webfinger::main])
}
